import enum
from typing import ClassVar, Dict, Any

class EUEnergyEfficiencyEnumeration(str, enum.Enum):
    """Schema.org enumeration values for EUEnergyEfficiencyEnumeration."""

    EUEnergyEfficiencyCategoryA = "EUEnergyEfficiencyCategoryA"  # "Represents EU Energy Efficiency Class A as defined in EU ..."
    EUEnergyEfficiencyCategoryA1Plus = "EUEnergyEfficiencyCategoryA1Plus"  # "Represents EU Energy Efficiency Class A+ as defined in EU..."
    EUEnergyEfficiencyCategoryA2Plus = "EUEnergyEfficiencyCategoryA2Plus"  # "Represents EU Energy Efficiency Class A++ as defined in E..."
    EUEnergyEfficiencyCategoryA3Plus = "EUEnergyEfficiencyCategoryA3Plus"  # "Represents EU Energy Efficiency Class A+++ as defined in ..."
    EUEnergyEfficiencyCategoryB = "EUEnergyEfficiencyCategoryB"  # "Represents EU Energy Efficiency Class B as defined in EU ..."
    EUEnergyEfficiencyCategoryC = "EUEnergyEfficiencyCategoryC"  # "Represents EU Energy Efficiency Class C as defined in EU ..."
    EUEnergyEfficiencyCategoryD = "EUEnergyEfficiencyCategoryD"  # "Represents EU Energy Efficiency Class D as defined in EU ..."
    EUEnergyEfficiencyCategoryE = "EUEnergyEfficiencyCategoryE"  # "Represents EU Energy Efficiency Class E as defined in EU ..."
    EUEnergyEfficiencyCategoryF = "EUEnergyEfficiencyCategoryF"  # "Represents EU Energy Efficiency Class F as defined in EU ..."
    EUEnergyEfficiencyCategoryG = "EUEnergyEfficiencyCategoryG"  # "Represents EU Energy Efficiency Class G as defined in EU ..."

    # Metadata for each enum value
    metadata: ClassVar[Dict[str, Dict[str, Any]]] = {
        "EUEnergyEfficiencyCategoryA": {
            "id": "schema:EUEnergyEfficiencyCategoryA",
            "comment": """Represents EU Energy Efficiency Class A as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryA",
        },
        "EUEnergyEfficiencyCategoryA1Plus": {
            "id": "schema:EUEnergyEfficiencyCategoryA1Plus",
            "comment": """Represents EU Energy Efficiency Class A+ as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryA1Plus",
        },
        "EUEnergyEfficiencyCategoryA2Plus": {
            "id": "schema:EUEnergyEfficiencyCategoryA2Plus",
            "comment": """Represents EU Energy Efficiency Class A++ as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryA2Plus",
        },
        "EUEnergyEfficiencyCategoryA3Plus": {
            "id": "schema:EUEnergyEfficiencyCategoryA3Plus",
            "comment": """Represents EU Energy Efficiency Class A+++ as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryA3Plus",
        },
        "EUEnergyEfficiencyCategoryB": {
            "id": "schema:EUEnergyEfficiencyCategoryB",
            "comment": """Represents EU Energy Efficiency Class B as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryB",
        },
        "EUEnergyEfficiencyCategoryC": {
            "id": "schema:EUEnergyEfficiencyCategoryC",
            "comment": """Represents EU Energy Efficiency Class C as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryC",
        },
        "EUEnergyEfficiencyCategoryD": {
            "id": "schema:EUEnergyEfficiencyCategoryD",
            "comment": """Represents EU Energy Efficiency Class D as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryD",
        },
        "EUEnergyEfficiencyCategoryE": {
            "id": "schema:EUEnergyEfficiencyCategoryE",
            "comment": """Represents EU Energy Efficiency Class E as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryE",
        },
        "EUEnergyEfficiencyCategoryF": {
            "id": "schema:EUEnergyEfficiencyCategoryF",
            "comment": """Represents EU Energy Efficiency Class F as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryF",
        },
        "EUEnergyEfficiencyCategoryG": {
            "id": "schema:EUEnergyEfficiencyCategoryG",
            "comment": """Represents EU Energy Efficiency Class G as defined in EU energy labeling regulations.""",
            "label": "EUEnergyEfficiencyCategoryG",
        },
    }