import enum
from typing import ClassVar, Dict, Any

class WearableSizeGroupEnumeration(str, enum.Enum):
    """Schema.org enumeration values for WearableSizeGroupEnumeration."""

    WearableSizeGroupBig = "WearableSizeGroupBig"  # "Size group \"Big\" for wearables."
    WearableSizeGroupBoys = "WearableSizeGroupBoys"  # "Size group \"Boys\" for wearables."
    WearableSizeGroupExtraShort = "WearableSizeGroupExtraShort"  # "Size group \"Extra Short\" for wearables."
    WearableSizeGroupExtraTall = "WearableSizeGroupExtraTall"  # "Size group \"Extra Tall\" for wearables."
    WearableSizeGroupGirls = "WearableSizeGroupGirls"  # "Size group \"Girls\" for wearables."
    WearableSizeGroupHusky = "WearableSizeGroupHusky"  # "Size group \"Husky\" (or \"Stocky\") for wearables."
    WearableSizeGroupInfants = "WearableSizeGroupInfants"  # "Size group \"Infants\" for wearables."
    WearableSizeGroupJuniors = "WearableSizeGroupJuniors"  # "Size group \"Juniors\" for wearables."
    WearableSizeGroupMaternity = "WearableSizeGroupMaternity"  # "Size group \"Maternity\" for wearables."
    WearableSizeGroupMens = "WearableSizeGroupMens"  # "Size group \"Mens\" for wearables."
    WearableSizeGroupMisses = "WearableSizeGroupMisses"  # "Size group \"Misses\" (also known as \"Missy\") for wearables."
    WearableSizeGroupPetite = "WearableSizeGroupPetite"  # "Size group \"Petite\" for wearables."
    WearableSizeGroupPlus = "WearableSizeGroupPlus"  # "Size group \"Plus\" for wearables."
    WearableSizeGroupRegular = "WearableSizeGroupRegular"  # "Size group \"Regular\" for wearables."
    WearableSizeGroupShort = "WearableSizeGroupShort"  # "Size group \"Short\" for wearables."
    WearableSizeGroupTall = "WearableSizeGroupTall"  # "Size group \"Tall\" for wearables."
    WearableSizeGroupWomens = "WearableSizeGroupWomens"  # "Size group \"Womens\" for wearables."

    # Metadata for each enum value
    metadata: ClassVar[Dict[str, Dict[str, Any]]] = {
        "WearableSizeGroupBig": {
            "id": "schema:WearableSizeGroupBig",
            "comment": """Size group "Big" for wearables.""",
            "label": "WearableSizeGroupBig",
        },
        "WearableSizeGroupBoys": {
            "id": "schema:WearableSizeGroupBoys",
            "comment": """Size group "Boys" for wearables.""",
            "label": "WearableSizeGroupBoys",
        },
        "WearableSizeGroupExtraShort": {
            "id": "schema:WearableSizeGroupExtraShort",
            "comment": """Size group "Extra Short" for wearables.""",
            "label": "WearableSizeGroupExtraShort",
        },
        "WearableSizeGroupExtraTall": {
            "id": "schema:WearableSizeGroupExtraTall",
            "comment": """Size group "Extra Tall" for wearables.""",
            "label": "WearableSizeGroupExtraTall",
        },
        "WearableSizeGroupGirls": {
            "id": "schema:WearableSizeGroupGirls",
            "comment": """Size group "Girls" for wearables.""",
            "label": "WearableSizeGroupGirls",
        },
        "WearableSizeGroupHusky": {
            "id": "schema:WearableSizeGroupHusky",
            "comment": """Size group "Husky" (or "Stocky") for wearables.""",
            "label": "WearableSizeGroupHusky",
        },
        "WearableSizeGroupInfants": {
            "id": "schema:WearableSizeGroupInfants",
            "comment": """Size group "Infants" for wearables.""",
            "label": "WearableSizeGroupInfants",
        },
        "WearableSizeGroupJuniors": {
            "id": "schema:WearableSizeGroupJuniors",
            "comment": """Size group "Juniors" for wearables.""",
            "label": "WearableSizeGroupJuniors",
        },
        "WearableSizeGroupMaternity": {
            "id": "schema:WearableSizeGroupMaternity",
            "comment": """Size group "Maternity" for wearables.""",
            "label": "WearableSizeGroupMaternity",
        },
        "WearableSizeGroupMens": {
            "id": "schema:WearableSizeGroupMens",
            "comment": """Size group "Mens" for wearables.""",
            "label": "WearableSizeGroupMens",
        },
        "WearableSizeGroupMisses": {
            "id": "schema:WearableSizeGroupMisses",
            "comment": """Size group "Misses" (also known as "Missy") for wearables.""",
            "label": "WearableSizeGroupMisses",
        },
        "WearableSizeGroupPetite": {
            "id": "schema:WearableSizeGroupPetite",
            "comment": """Size group "Petite" for wearables.""",
            "label": "WearableSizeGroupPetite",
        },
        "WearableSizeGroupPlus": {
            "id": "schema:WearableSizeGroupPlus",
            "comment": """Size group "Plus" for wearables.""",
            "label": "WearableSizeGroupPlus",
        },
        "WearableSizeGroupRegular": {
            "id": "schema:WearableSizeGroupRegular",
            "comment": """Size group "Regular" for wearables.""",
            "label": "WearableSizeGroupRegular",
        },
        "WearableSizeGroupShort": {
            "id": "schema:WearableSizeGroupShort",
            "comment": """Size group "Short" for wearables.""",
            "label": "WearableSizeGroupShort",
        },
        "WearableSizeGroupTall": {
            "id": "schema:WearableSizeGroupTall",
            "comment": """Size group "Tall" for wearables.""",
            "label": "WearableSizeGroupTall",
        },
        "WearableSizeGroupWomens": {
            "id": "schema:WearableSizeGroupWomens",
            "comment": """Size group "Womens" for wearables.""",
            "label": "WearableSizeGroupWomens",
        },
    }