import enum
from typing import ClassVar, Dict, Any

class WearableSizeSystemEnumeration(str, enum.Enum):
    """Schema.org enumeration values for WearableSizeSystemEnumeration."""

    WearableSizeSystemAU = "WearableSizeSystemAU"  # "Australian size system for wearables."
    WearableSizeSystemBR = "WearableSizeSystemBR"  # "Brazilian size system for wearables."
    WearableSizeSystemCN = "WearableSizeSystemCN"  # "Chinese size system for wearables."
    WearableSizeSystemContinental = "WearableSizeSystemContinental"  # "Continental size system for wearables."
    WearableSizeSystemDE = "WearableSizeSystemDE"  # "German size system for wearables."
    WearableSizeSystemEN13402 = "WearableSizeSystemEN13402"  # "EN 13402 (joint European standard for size labelling of c..."
    WearableSizeSystemEurope = "WearableSizeSystemEurope"  # "European size system for wearables."
    WearableSizeSystemFR = "WearableSizeSystemFR"  # "French size system for wearables."
    WearableSizeSystemGS1 = "WearableSizeSystemGS1"  # "GS1 (formerly NRF) size system for wearables."
    WearableSizeSystemIT = "WearableSizeSystemIT"  # "Italian size system for wearables."
    WearableSizeSystemJP = "WearableSizeSystemJP"  # "Japanese size system for wearables."
    WearableSizeSystemMX = "WearableSizeSystemMX"  # "Mexican size system for wearables."
    WearableSizeSystemUK = "WearableSizeSystemUK"  # "United Kingdom size system for wearables."
    WearableSizeSystemUS = "WearableSizeSystemUS"  # "United States size system for wearables."

    # Metadata for each enum value
    metadata: ClassVar[Dict[str, Dict[str, Any]]] = {
        "WearableSizeSystemAU": {
            "id": "schema:WearableSizeSystemAU",
            "comment": """Australian size system for wearables.""",
            "label": "WearableSizeSystemAU",
        },
        "WearableSizeSystemBR": {
            "id": "schema:WearableSizeSystemBR",
            "comment": """Brazilian size system for wearables.""",
            "label": "WearableSizeSystemBR",
        },
        "WearableSizeSystemCN": {
            "id": "schema:WearableSizeSystemCN",
            "comment": """Chinese size system for wearables.""",
            "label": "WearableSizeSystemCN",
        },
        "WearableSizeSystemContinental": {
            "id": "schema:WearableSizeSystemContinental",
            "comment": """Continental size system for wearables.""",
            "label": "WearableSizeSystemContinental",
        },
        "WearableSizeSystemDE": {
            "id": "schema:WearableSizeSystemDE",
            "comment": """German size system for wearables.""",
            "label": "WearableSizeSystemDE",
        },
        "WearableSizeSystemEN13402": {
            "id": "schema:WearableSizeSystemEN13402",
            "comment": """EN 13402 (joint European standard for size labelling of clothes).""",
            "label": "WearableSizeSystemEN13402",
        },
        "WearableSizeSystemEurope": {
            "id": "schema:WearableSizeSystemEurope",
            "comment": """European size system for wearables.""",
            "label": "WearableSizeSystemEurope",
        },
        "WearableSizeSystemFR": {
            "id": "schema:WearableSizeSystemFR",
            "comment": """French size system for wearables.""",
            "label": "WearableSizeSystemFR",
        },
        "WearableSizeSystemGS1": {
            "id": "schema:WearableSizeSystemGS1",
            "comment": """GS1 (formerly NRF) size system for wearables.""",
            "label": "WearableSizeSystemGS1",
        },
        "WearableSizeSystemIT": {
            "id": "schema:WearableSizeSystemIT",
            "comment": """Italian size system for wearables.""",
            "label": "WearableSizeSystemIT",
        },
        "WearableSizeSystemJP": {
            "id": "schema:WearableSizeSystemJP",
            "comment": """Japanese size system for wearables.""",
            "label": "WearableSizeSystemJP",
        },
        "WearableSizeSystemMX": {
            "id": "schema:WearableSizeSystemMX",
            "comment": """Mexican size system for wearables.""",
            "label": "WearableSizeSystemMX",
        },
        "WearableSizeSystemUK": {
            "id": "schema:WearableSizeSystemUK",
            "comment": """United Kingdom size system for wearables.""",
            "label": "WearableSizeSystemUK",
        },
        "WearableSizeSystemUS": {
            "id": "schema:WearableSizeSystemUS",
            "comment": """United States size system for wearables.""",
            "label": "WearableSizeSystemUS",
        },
    }